PtexHashMap< Key, Value >::Entry Class Reference

## Public Member Functions

| Entry ()

## Public Attributes

Key volatile | key
Value volatile | value

## Private Member Functions

| Entry (const Entry &)
void | operator= (const Entry &)

## Detailed Description

template<typename Key, typename Value>
class PtexHashMap< Key, Value >::Entry

Definition at line 153 of file PtexHashMap.h.

## Constructor & Destructor Documentation

## Entry() [1/2]

template<typename Key , typename Value >

PtexHashMap< Key, Value >::Entry::Entry | ( | const Entry & |  | ) |

private

## Entry() [2/2]

template<typename Key , typename Value >

PtexHashMap< Key, Value >::Entry::Entry | ( |  | ) |

inline

Definition at line 157 of file PtexHashMap.h.

## Member Function Documentation

## operator=()

template<typename Key , typename Value >

void PtexHashMap< Key, Value >::Entry::operator= | ( | const Entry & |  | ) |

private

## Member Data Documentation

## key

template<typename Key , typename Value >

Key volatile PtexHashMap< Key, Value >::Entry::key

Definition at line 158 of file PtexHashMap.h.

Referenced by PtexHashMap< Key, Value >::get(), PtexHashMap< Key, Value >::grow(), and PtexHashMap< Key, Value >::tryInsert().

## value

template<typename Key , typename Value >

Value volatile PtexHashMap< Key, Value >::Entry::value

Definition at line 159 of file PtexHashMap.h.

Referenced by PtexHashMap< Key, Value >::deleteContents(), PtexHashMap< Key, Value >::foreach(), PtexHashMap< Key, Value >::get(), PtexHashMap< Key, Value >::grow(), and PtexHashMap< Key, Value >::tryInsert().

The documentation for this class was generated from the following file:

- PtexHashMap.h